# Class RowLink2

java.lang.Object
uk.ac.starlink.table.join.RowLink
uk.ac.starlink.table.join.RowLink2

All Implemented Interfaces:
  `Comparable<RowLink>`

public class RowLink2 extends RowLink
RowLink subclass which specifically contains two items (a pair).

As well as standard `RowLink` functionality, this object can also contain a 'score', which is an uninterpreted number. Typically this is used to record how good the match represented by a link is. This value is not taken account of in either `compareTo`, `equals` or `hashCode` methods.

Since:
  23 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RowLink2(RowRef refA, RowRef refB)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RowRef`
`getRef(int i)`
Returns the `i`th row ref in this ordered sequence of refs.
`double`
`getScore()`
Returns the score associated with this link.
`void`
`setScore(double score)`
Sets the score associated with this link.
`int`
`size()`
Returns the number of rows linked by this object.

### Methods inherited from class RowLink

`compareTo, createLink, equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RowLink2

public RowLink2(RowRef refA, RowRef refB)
Constructor.

Parameters:
  `refA` - one row
  `refB` - the other row

## Method Details

### size

public int size()
Description copied from class: `RowLink`
Returns the number of rows linked by this object.

Specified by:
  `size` in class `RowLink`
Returns:
  number of RowRefs

### getRef

public RowRef getRef(int i)
Description copied from class: `RowLink`
Returns the `i`th row ref in this ordered sequence of refs. The sequence must be as defined by `RowRef.compareTo`.

Specified by:
  `getRef` in class `RowLink`
Parameters:
  `i` - index
Returns:
  RowRef at `i`

### setScore

public void setScore(double score)
Sets the score associated with this link.

Parameters:
  `score` - new score

### getScore

public double getScore()
Returns the score associated with this link. If it has not been set explicitly, it will be `NaN`.

Returns:
  score